// Rejtvény kirajzolása
function kirajzol(x,y) {
  var kiir = "";
  var keretstilus = "keretnelkul";
  if (y>8) keretstilus = "keretnelkulkicsi";
  kiir += "<table class=keretnelkul><tr>\n";  
  for (var i=0; i<((x+1)*(y+1)); i++) {        
    if (i == 0) { 
      kiir += "  <td class="+keretstilus+"></td>\n";
    }
    // első sor betűk     
    if ((i<(x+1))&&(i>0)) {
      kiir += "  <td class="+keretstilus+">"+String.fromCharCode(64+i)+"</td>\n";
      if (i == x) kiir += "</tr><tr>\n";
    }
    if (i>x) {      
      sorszam = Math.floor(i/(x+1));
      // Ha bal oldali oszlop, akkor sorszám
      if (i % (x+1) == 0) kiir += "  <td class="+keretstilus+">"+sorszam+"</td>\n";
      // egyébként a keresztrejtvény mezői
      else {
        // Ha a mező fekete
        if (megoldas[i-(x+1+sorszam)] == "") {
          kiir += "  <td class="+keretstilus+"fekete></td>\n"; 
        }
        // egyébként beviteli mező
        else kiir += "  <td><input name=be"+i+" type=text maxlength=1 size=1 class="+keretstilus+" onKeyUp='ellenoriz(this.form)' onKeyPress='return disableEnterKey(event)' onFocus='meghatarozastolt("+i+","+sorszam+")'></td>\n";
        if ((i-(x+sorszam)) % x == 0) kiir += "</tr><tr>\n";      
      }
    }
  }
  kiir += "</tr></table>\n";
  document.getElementById("rejtveny").innerHTML = kiir; 
  //document.matek.d.value = kiir;
  document.matek.elements[0].focus();
}

// határozás töltése adott mezőhöz
function meghatarozastolt(tombelem,s) {
  var ii = tombelem-(szelesseg+1+s);
  // document.getElementById("meghatarozas").innerHTML = "i:"+i+"ii:"+ii+"szelesseg:"+szelesseg+"sorszam:"+s;
  document.getElementById("meghatarozas").innerHTML = meghatarozas[ii];
}

// ellenőrízzük a keresztrejtvény megoldását
function ellenoriz(urlap) {
  var megoldas2 = new Array();
  var szoveg = "";
  var flag = 0;
  var flagvegeredmeny = 0;
  // Megnézzük, hogy az űrlap minden mezője ki van-e töltve, ha igen, akkor flag=0 marad
  for (i=0; ((i<urlap.elements.length) && (flag == 0)); i++) { 
    if (urlap.elements[i].value == "") flag = 1;
  }
  // Ha még nincs kitöltve 
  // 0-ra átírni!
  if (flag == 0) {
    // a megoldás tömbből elkészítjük a nem üres mezőket tartalmazó tömböt
    for (var i=0; i<megoldas.length; i++) {
      if (megoldas[i] != "") megoldas2.push(megoldas[i]);
    }        
    // végig kell ellenőrizni az űrlap összes mezőjét a megoldás2 tömbbel
    // Ha minden elem egyezik, akkor jók vagyunk
    
    for (var i=0; i<megoldas2.length; i++) {
      if (megoldas2[i] != urlap.elements[i].value) {
        // Nem jó érték van a cellában --> átszinezzük a hátterét :D
        urlap.elements[i].style.background="#E57722";
        szoveg = "Nem helyes a megoldás!";
        flagvegeredmeny = 1;
      }
      else urlap.elements[i].style.background="transparent";
    }
    if (flagvegeredmeny == 0) szoveg = "Helyes!";
  }     
  document.getElementById("vegeredmeny").innerHTML = szoveg;
}


// Enter leütésének tiltása
function disableEnterKey(e) {
     var key;     
     if(window.event)
          key = window.event.keyCode; //IE
     else
          key = e.which; //firefox     
     return (key != 13);
}
